% ------------------------------------------------------------------------------
% Copyright (c) 2019, 2025 Contributors to the Eclipse Foundation
%
% See the NOTICE file(s) distributed with this work for additional
% information regarding copyright ownership.
%
% This program and the accompanying materials are made available under the terms
% of the MIT License which is available at https://opensource.org/licenses/MIT
%
% SPDX-License-Identifier: MIT
% ------------------------------------------------------------------------------
\documentclass{article}
\usepackage{tikz}
\usetikzlibrary{arrows.meta, arrows, automata, positioning, shapes, shapes.misc}
\usepackage[paperwidth=40in, paperheight=20in]{geometry}

\begin{document}
\pagestyle{empty}

\begin{tikzpicture}[
    auto,
    ->,
    node distance=8cm,
    every state/.style={ellipse, semithick, fill=black!5, minimum size=2cm, font=\Large},
    initial distance=1.2cm,
    every initial by arrow/.style={-{Stealth[scale=1.4]}},
    initial text=,
    transform shape,
    double distance=2pt,
    every loop/.style={min distance=10mm}
]

\node[state, initial, accepting] (A) {\emph{Driving}};
\node[state, right of=A] (B) {\emph{PreparingToCall}};
\node[state, right of=B] (C) {\emph{Waiting}};

\path[-{Stealth[scale=1.4]}]
    (A) edge[above] node[align=center] {\texttt{breakdown}} (B)
    (B) edge[above] node[align=center] {\texttt{call\_mechanic}} (C)
    (C) edge[bend left, below] node[align=center] {\texttt{repair\_finished}} (A)
;

\end{tikzpicture}
\end{document}
